From 100f2d3ee88175a2732fc548a6ec55b9667439bd Mon Sep 17 00:00:00 2001
From: lvilnis <lvilnis@gmail.com>
Date: Thu, 25 Aug 2011 02:14:25 -0400
Subject: [PATCH] The "Profile" pane in DrRacket can now be dragged to resize.

---
 collects/drracket/private/debug.rkt |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

diff --git a/collects/drracket/private/debug.rkt b/collects/drracket/private/debug.rkt
index fcdd89f..40cc97f 100644
--- a/collects/drracket/private/debug.rkt
+++ b/collects/drracket/private/debug.rkt
@@ -1548,7 +1548,7 @@ profile todo:
       (define/override (make-root-area-container % parent)
         (set! profile-info-outer-panel
               (super make-root-area-container
-                     vertical-panel%
+                     panel:vertical-dragable%
                      parent))
         (make-object % profile-info-outer-panel))
       
@@ -1582,6 +1582,8 @@ profile todo:
           (set! profile-info-visible? #t)
           (send profile-info-editor-canvas set-editor (send (get-current-tab) get-profile-info-text))
           (send (get-current-tab) refresh-profile)
+          ;; set to a small percentage so it gets the minimum height
+          (send profile-info-outer-panel set-percentages '(9/10 1/10))
           (update-shown)))
       
       (field (profile-info-visible? #f))
-- 
1.7.6.GIT
